<<<<<<< HEAD ======= PolygonBase | SDF-2D - v0.7.6 >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### Hierarchy

- EmptyDrawable
  - PolygonBase
    - NoisyPolygonBase

## Index

### Constructors

- constructor

### Properties

- vertices
- descriptor

### Methods

- getObjectToSerialize
- minDistance

## Constructors

### constructor

- new PolygonBase(vertices: Array<vec2>): PolygonBase

- <<<<<<< HEAD
  - Defined in drawables/shapes/polygon-factory.ts:11
  =======
  - Defined in drawables/shapes/polygon-factory.ts:11
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### vertices: Array<vec2>

  #### Returns PolygonBase

## Properties

### vertices

vertices: Array<vec2>

<<<<<<< HEAD
- Defined in drawables/shapes/polygon-factory.ts:12
=======
- Defined in drawables/shapes/polygon-factory.ts:12
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### Static Readonly descriptor

descriptor: DrawableDescriptor

Inherited from EmptyDrawable.descriptor

Overrides Drawable.descriptor

<<<<<<< HEAD
- Defined in drawables/empty-drawable.ts:11
=======
- Defined in drawables/empty-drawable.ts:11
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

## Methods

### Protected getObjectToSerialize

- getObjectToSerialize(transform2d: mat2d, transform1d: number): any

- Inherited from EmptyDrawable.getObjectToSerialize

  Overrides Drawable.getObjectToSerialize

  <<<<<<< HEAD
  - Defined in drawables/empty-drawable.ts:19
  =======
  - Defined in drawables/empty-drawable.ts:19
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### transform2d: mat2d

  - ##### transform1d: number

  #### Returns any

### minDistance

- minDistance(target: vec2): number

- Inherited from EmptyDrawable.minDistance

  Overrides Drawable.minDistance

  <<<<<<< HEAD
  - Defined in drawables/empty-drawable.ts:14
  =======
  - Defined in drawables/empty-drawable.ts:14
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### target: vec2

  #### Returns number